Bug 169052 - dmidecode outdated
dmidecode outdated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 12:00 EDT by Florian Brand
Modified: 2015-01-04 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 17:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Brand 2005-09-22 12:00:47 EDT
dmidecode is seriously outdated.
the RHEL4 version does not support any options and does not include a manpage.
Current versions do :)
Comment 1 Dave Jones 2005-09-23 17:06:59 EDT
newer versions of this tool introduce some incompatabilities which some other
parts of the os depend on (such as hal).

there's potential for much breakage, at little gain here.
Unless we have a customer complaining about a case where the existing dmidecode
doesnt work, I don't think we should change it for rhel4.
Comment 2 Florian Brand 2005-09-25 17:47:36 EDT
The thing I was looking for, was the -s option to search for a specific DMI entry.
Specifically I wanted to find out the serial numbers of a bunch of machines in a
hurry. 


IMHO let's at least look at this again for RHEL5.
Comment 3 Dave Jones 2005-09-25 23:56:43 EDT
RHEL5 will inherit the latest version of dmidecode which is already in rawhide.

Note You need to log in before you can comment on or make changes to this bug.